Loading...
Searching...
No Matches
apr_thread_mutex.h File Reference

APR Thread Mutex Routines. More...

`#include "apr.h"`
`#include "apr_errno.h"`
`#include "apr_pools.h"`
`#include "apr_time.h"`
Include dependency graph for apr_thread_mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_THREAD_MUTEX_DEFAULT 0x0
#define | APR_THREAD_MUTEX_NESTED 0x1
#define | APR_THREAD_MUTEX_UNNESTED 0x2
#define | APR_THREAD_MUTEX_TIMED 0x4

## Typedefs

typedef struct apr_thread_mutex_t | apr_thread_mutex_t

## Functions

apr_status_t | apr_thread_mutex_create (apr_thread_mutex_t **mutex, unsigned int flags, apr_pool_t *pool)
apr_status_t | apr_thread_mutex_lock (apr_thread_mutex_t *mutex)
apr_status_t | apr_thread_mutex_trylock (apr_thread_mutex_t *mutex)
apr_status_t | apr_thread_mutex_timedlock (apr_thread_mutex_t *mutex, apr_interval_time_t timeout)
apr_status_t | apr_thread_mutex_unlock (apr_thread_mutex_t *mutex)
apr_status_t | apr_thread_mutex_destroy (apr_thread_mutex_t *mutex)
apr_pool_t * | apr_thread_mutex_pool_get (const apr_thread_mutex_t *thethread_mutex)

## Detailed Description

APR Thread Mutex Routines.